Subject: Re: [PATCH v3] sequencer: advise if skipping cherry-picked commit

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Aug 2021 15:21:20 -0700

Josh Steadmon <[email-masked]> writes:

> Silently skipping commits when rebasing with --no-reapply-cherry-picks
> (currently the default behavior) can cause user confusion. Issue
> warnings when this happens, as well as advice on how to preserve the
> skipped commits.
>
> These warnings and advice are displayed only when using the (default)
> "merge" rebase backend.
>
> Update the git-rebase docs to mention the warnings and advice.
>
> Signed-off-by: Josh Steadmon <[email-masked]>
> ---

Looks sensible.

Will queue.  Let's merge it down to 'next' in a few days and leave
the follow-on work to later.

Thanks.